Set Campaign Status (Basic authentication)

Generated from cURL: curl --location --request PUT '
https://api.pre-prod.ozonetel.com/ca_apis/setCampaignStatus
' \

--header 'apiKey: KK00b15555afb7066312663b969a75f74d' \

--header 'Content-Type: application/json' \

--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiJwcmVwcm9kIiwiZXhwIjoxNzI1NTQyNTczLCJpYXQiOjE3MjU1Mzg5NzN9.7MMMjxKIUDNW0aAbYw4lP0gSNN9kF391C3ZXCgeWdGKbL4F2v_mzd4I08MRlx3RkXDQ1VAQ-Gc7MEqks1YYP6g' \

--header 'Cookie: PHPSESSID=49094e7a5367452758ca8ee1e23ced84' \

--data '{

"userName":"preprod",

"campaignName":"QA_Outbound_Predictive",

"action":"stop",

"process":true

}'

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API is used to set the status of the campaign to start or stop. The action parameter MUST be "Start" to start the campaign or "Stop" to stop the campaign.

👍

Note:

Make sure the admin setting 'API Authentication' is set to 'BASIC_AUTH', If you are using this API.


📘

APIs Domain Name

For domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com

For international ccaas - enter the domain: api.ccaas.ozonetel.com

For Partners - enter the respective URL

Header parameters

ParameterDescription
apiKey*Your CloudAgent account API Key
Content-Typeapplication/json

Body Params

{
"userName": "xxxxx",
"campaignName": "xxxxx",
"action": "Stop",
"process": true
}

ParameterDescription
userName*Your CloudAgent account username
campaignName*Name of the campaign, as configured in the CloudAgent account.
action*"Start" to start the campaign.
"Stop" to stop the campaign.
process*Should be - true

Possible Responses

Success response (campaign started)"status": "SUCCESS"
"message": "SUCCESSFULLY UPDATED, Progressive was started"}
Success response (campaign stopped)"status": "SUCCESS"
"message": "SUCCESSFULLY UPDATED, Progressive was stopped"
Error"status": "failure"
"message": "All parameters are mandatory"
Body Params
Headers
string
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!